/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CellInfoDescription } from "./CellInfoDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class SectionHeaderCellInfoDescription extends CellInfoDescription {
    constructor() {
        super();
        this.dp = null;
        this.dl = false;
        this.dk = false;
    }
    get_type() {
        return "SectionHeaderCellInfo";
    }
    get resolvedText() {
        return this.dp;
    }
    set resolvedText(a) {
        this.dp = a;
        this.e("ResolvedText");
    }
    get isExpanded() {
        return this.dl;
    }
    set isExpanded(a) {
        this.dl = a;
        this.e("IsExpanded");
    }
    get isCollapsable() {
        return this.dk;
    }
    set isCollapsable(a) {
        this.dk = a;
        this.e("IsCollapsable");
    }
}
SectionHeaderCellInfoDescription.$t = markType(SectionHeaderCellInfoDescription, 'SectionHeaderCellInfoDescription', CellInfoDescription.$);
